--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: extended
comment: 
constants: []

full_name: DataMapper::Model::Relationship
includes: 
- !ruby/object:RI::IncludedModule 
  name: Extlib::Assertions
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: belongs_to
- !ruby/object:RI::MethodSummary 
  name: has
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: n
- !ruby/object:RI::MethodSummary 
  name: relationships
name: Relationship
superclass: 
